## EmpathyGstAudioSrc

EmpathyGstAudioSrc

## Synopsis

                        EmpathyGstAudioSrc;
    GstElement *        empathy_audio_src_new               (void);
    void                empathy_audio_src_set_volume        (EmpathyGstAudioSrc *src,
                                                             gdouble volume);
    gdouble             empathy_audio_src_get_volume        (EmpathyGstAudioSrc *src);

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----EmpathyGstAudioSrc

## Implemented Interfaces

EmpathyGstAudioSrc implements GstChildProxy.

## Properties

      "peak-level"               gdouble               : Read
      "rms-level"                gdouble               : Read
      "volume"                   gdouble               : Read / Write

## Signals

      "peak-level-changed"                             : Run Last
      "rms-level-changed"                              : Run Last

## Description

## Details

### EmpathyGstAudioSrc

    typedef struct _EmpathyGstAudioSrc EmpathyGstAudioSrc;

### empathy_audio_src_new ()

    GstElement *        empathy_audio_src_new               (void);

Returns : |

### empathy_audio_src_set_volume ()

    void                empathy_audio_src_set_volume        (EmpathyGstAudioSrc *src,
                                                             gdouble volume);

`src` : |
`volume` : |

### empathy_audio_src_get_volume ()

    gdouble             empathy_audio_src_get_volume        (EmpathyGstAudioSrc *src);

`src` : |
Returns : |

## Property Details

### The `"peak-level"` property

      "peak-level"               gdouble               : Read

peak level.

Default value: 0

### The `"rms-level"` property

      "rms-level"                gdouble               : Read

RMS level.

Default value: 0

### The `"volume"` property

      "volume"                   gdouble               : Read / Write

volume contol.

Allowed values: [0,5]

Default value: 1

## Signal Details

### The `"peak-level-changed"` signal

    void                user_function                      (EmpathyGstAudioSrc *empathygstaudiosrc,
                                                            gdouble             arg1,
                                                            gpointer            user_data)               : Run Last

`empathygstaudiosrc` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"rms-level-changed"` signal

    void                user_function                      (EmpathyGstAudioSrc *empathygstaudiosrc,
                                                            gdouble             arg1,
                                                            gpointer            user_data)               : Run Last

`empathygstaudiosrc` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.